import 'package:flutter/material.dart';
import 'package:one_target_mobile_sdk/one_target_mobile_sdk.dart';
import 'package:one_target_mobile_sdk_example/common/constant.dart';
import 'package:one_target_mobile_sdk_example/common/utils.dart';

class BookingDetailScreen extends StatefulWidget {
  const BookingDetailScreen({Key? key}) : super(key: key);

  @override
  State<BookingDetailScreen> createState() => _BookingDetailScreenState();
}

class _BookingDetailScreenState extends State<BookingDetailScreen> {
  @override
  void initState() {
    super.initState();
    _trackEvent();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Container(
        padding: const EdgeInsets.all(16.0),
        child: Column(
          children: [
            const SizedBox(height: 16.0),
            const SizedBox(height: 16.0),
            Align(
              alignment: Alignment.center,
              child: Utils.getText(
                "Xác nhận đặt chỗ thành công",
                18,
                FontWeight.w500,
                Colors.black,
              ),
            ),
            const SizedBox(height: 16.0),
            const SizedBox(height: 16.0),
            const SizedBox(height: 16.0),
            Expanded(
              child: Container(
                alignment: Alignment.topLeft,
                child: Utils.getText(
                  "Home page",
                  12.0,
                  FontWeight.w500,
                  Colors.purple,
                ),
              ),
            ),
          ],
        ),
      ),
    );
  }

  void _trackEvent() {
    Analytics.trackEvent(
      workSpaceId,
      {
        "deviceId": deviceId,
      },
      "purchase",
      DateTime.now().millisecondsSinceEpoch,
      {
        "is_success": true,
      },
      onResponse: (value) {
        Utils.log(">>>onResponse $value");
      },
      onFailure: (value) {
        Utils.log(">>>onFailure $value");
      },
    );
  }
}
