import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:one_target_mobile_sdk/one_target_mobile_sdk.dart';
import 'package:one_target_mobile_sdk_example/common/constant.dart';
import 'package:one_target_mobile_sdk_example/common/utils.dart';
import 'package:one_target_mobile_sdk_example/screens/tracking/advancedTracking/payment_detail_screen.dart';

class CustomerScreen extends StatefulWidget {
  const CustomerScreen({Key? key}) : super(key: key);

  @override
  State<CustomerScreen> createState() => _CustomerScreenState();
}

class _CustomerScreenState extends State<CustomerScreen> {
  bool _isChecked = false;
  final TextEditingController _tecFirstName = TextEditingController();
  final TextEditingController _tecLastName = TextEditingController();
  final TextEditingController _tecDob = TextEditingController();
  final TextEditingController _tecCodeVjSkyClub = TextEditingController();
  final TextEditingController _tecAddress = TextEditingController();
  final TextEditingController _tecEmail = TextEditingController();
  final TextEditingController _tecPhoneNumber = TextEditingController();

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Container(
        padding: const EdgeInsets.all(16.0),
        child: Column(
          children: [
            const SizedBox(height: 16.0),
            const SizedBox(height: 16.0),
            Align(
              alignment: Alignment.center,
              child: Utils.getText(
                "Ai sẽ bay",
                32,
                FontWeight.w500,
                Colors.black,
              ),
            ),
            const SizedBox(height: 16.0),
            Expanded(
              child: Container(
                decoration: BoxDecoration(
                  border: Border.all(
                    width: 1.0,
                    color: Colors.grey,
                  ),
                  borderRadius: const BorderRadius.all(Radius.circular(0)),
                ),
                child: ListView(
                  padding: EdgeInsets.zero,
                  physics: const BouncingScrollPhysics(),
                  children: [
                    Utils.getTitle("Hành khách"),
                    Container(
                      padding: const EdgeInsets.all(16.0),
                      child: Column(
                        children: [
                          Row(
                            children: [
                              Expanded(
                                child: Utils.getButton(
                                  "Ông",
                                  14.0,
                                  Colors.black,
                                  Colors.white,
                                  const Icon(Icons.unfold_more),
                                  () {},
                                ),
                              ),
                              const SizedBox(width: 16.0),
                              Expanded(
                                child: Container(),
                              ),
                            ],
                          ),
                          const SizedBox(height: 16.0),
                          Row(
                            children: [
                              Expanded(
                                child: Utils.getTextInput(
                                  "Họ",
                                  TextInputType.text,
                                  _tecFirstName,
                                ),
                              ),
                              const SizedBox(width: 16.0),
                              Expanded(
                                child: Utils.getTextInput(
                                  "Tên đệm và tên",
                                  TextInputType.text,
                                  _tecLastName,
                                ),
                              ),
                            ],
                          ),
                          const SizedBox(height: 16.0),
                          Row(
                            children: [
                              Expanded(
                                child: Utils.getTextInput(
                                  "Ngày sinh",
                                  TextInputType.datetime,
                                  _tecDob,
                                ),
                              ),
                              const SizedBox(width: 16.0),
                              Expanded(
                                child: Container(),
                              ),
                            ],
                          ),
                          const SizedBox(height: 16.0),
                          Utils.getTextInput(
                            "Mã thành viên VietJet Skyclub",
                            TextInputType.text,
                            _tecCodeVjSkyClub,
                          ),
                          const SizedBox(height: 16.0),
                          Utils.getTextInput(
                            "Địa chỉ",
                            TextInputType.text,
                            _tecAddress,
                          ),
                          const SizedBox(height: 16.0),
                          Row(
                            children: [
                              Expanded(
                                child: Utils.getButton(
                                  "Thành phố/Tỉnh",
                                  14.0,
                                  Colors.black,
                                  Colors.white,
                                  const Icon(Icons.unfold_more),
                                  () {},
                                ),
                              ),
                              const SizedBox(width: 16.0),
                              Expanded(
                                child: Utils.getButton(
                                  "Quốc tịch",
                                  14.0,
                                  Colors.black,
                                  Colors.white,
                                  const Icon(Icons.unfold_more),
                                  () {},
                                ),
                              ),
                            ],
                          ),
                          const SizedBox(height: 16.0),
                          Utils.getTextInput(
                            "Email",
                            TextInputType.emailAddress,
                            _tecEmail,
                          ),
                          const SizedBox(height: 16.0),
                          Row(
                            children: [
                              Flexible(
                                flex: 2,
                                child: Utils.getButton(
                                  "+84",
                                  14.0,
                                  Colors.black,
                                  Colors.white,
                                  const Icon(Icons.unfold_more),
                                  () {},
                                ),
                              ),
                              const SizedBox(width: 16.0),
                              Flexible(
                                flex: 3,
                                child: Utils.getTextInput(
                                  "Số điện thoại",
                                  TextInputType.number,
                                  _tecPhoneNumber,
                                ),
                              ),
                            ],
                          ),
                          const SizedBox(height: 16.0),
                          Row(
                            children: [
                              Checkbox(
                                activeColor: Colors.red,
                                tristate: false,
                                value: _isChecked,
                                onChanged: (value) {
                                  setState(() {
                                    if (value != null) {
                                      _isChecked = value;
                                    }
                                  });
                                },
                              ),
                              Expanded(
                                child: Utils.getText(
                                  "Tôi muốn nhận thông tin khuyến mãi từ công ty",
                                  12.0,
                                  FontWeight.w400,
                                  Colors.black,
                                ),
                              ),
                            ],
                          ),
                        ],
                      ),
                    ),
                  ],
                ),
              ),
            ),
            const SizedBox(height: 16.0),
            Utils.getButton(
              "Tiếp theo",
              16.0,
              Colors.white,
              Colors.deepPurple,
              null,
              () {
                _trackEvent();
              },
            ),
            const SizedBox(height: 16.0),
          ],
        ),
      ),
    );
  }

  void _trackEvent() {
    Analytics.trackEvent(
      workSpaceId,
      {
        "deviceId": deviceId,
      },
      "input_passenger_info",
      DateTime.now().millisecondsSinceEpoch,
      {
        "sex": "Mr",
        "first_name": _tecFirstName.text,
        "last_name": _tecLastName.text,
        "dob": _tecDob.text,
        "code_vj_sky_club": _tecCodeVjSkyClub.text,
        "address": _tecAddress.text,
        "city": "Ho Chi Minh",
        "national": "Vietnam",
        "email": _tecEmail.text,
        "phone_code": "+84",
        "phone_number": _tecPhoneNumber.text,
        "platform": "APP",
        "currency": "VND",
        "trip_type": "roundTrip",
      },
      onResponse: (value) {
        Utils.log(">>>onResponse $value");
        Get.to(() => const PaymentDetailScreen());
      },
      onFailure: (value) {
        Utils.log(">>>onFailure $value");
      },
    );
  }
}
